//=============================================================================
/**
 *  @file    test_dynarray.h
 *
 *  test_dynarray.h,v 1.5 2003/08/24 12:58:02 jwillemsen Exp
 *
 *  Header file for class to test DynArray.
 *
 *
 *  @author Jeff Parsons <parsons@cs.wustl.edu>
 */
//=============================================================================


#if !defined (TEST_DYNARRAY_H)
#define TEST_DYNARRAY_H

#include "tao/corba.h"

class Test_DynArray
{
public:
  Test_DynArray (CORBA::ORB_var orb, int debug);
  ~Test_DynArray (void);

  const char* test_name (void) const;

  int run_test (void);

private:
  CORBA::ORB_var orb_;
  char* test_name_;
  CORBA::ULong error_count_;
  int debug_;
};

#endif /* TEST_DYNARRAY_H */
